Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 641940 - net-analyzer/gr-fosphor optionally depends on deprecated Qt4
Summary: net-analyzer/gr-fosphor optionally depends on deprecated Qt4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Radio Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2017-12-21 14:53 UTC by Andreas Sturmlechner
Modified: 2018-04-03 16:26 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2017-12-21 14:53:27 UTC
Qt4 is dead and going away, please check if the code can build with Qt5 instead or if a newer upstream version ported to Qt5 is available.
Comment 1 Andreas Sturmlechner gentoo-dev 2018-01-15 00:39:40 UTC
Apparently there's a porting branch that does not work yet: http://git.osmocom.org/gr-fosphor/log/?h=gr38-qt5
Comment 2 Andreas Sturmlechner gentoo-dev 2018-04-03 15:35:17 UTC
ping
Comment 3 Larry the Git Cow gentoo-dev 2018-04-03 16:26:06 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9544171706ff5b01b3502b7df8c92c09c014f8b

commit a9544171706ff5b01b3502b7df8c92c09c014f8b
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-04-03 16:25:55 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-04-03 16:25:55 +0000

    net-analyzer/gr-fosphor: Drop USE=qt4
    
    Closes: https://bugs.gentoo.org/641940
    Package-Manager: Portage-2.3.28, Repoman-2.3.9

 net-analyzer/gr-fosphor/gr-fosphor-9999.ebuild | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)